#pragma once

#include <maps/libs/json/include/value.h>
#include <maps/libs/geolib/include/point.h>

#include <optional>
#include <string>

namespace maps::wiki::fbapi {

class Entrance
{
public:
    explicit Entrance(json::Value data);

    std::optional<std::string> name() const;
    std::optional<geolib3::Point2> center() const;

private:
    json::Value data_;
};

} // namespace maps::wiki::fbapi
